DELETE
/applications/{application}/resources/{resourceType}/{resource}
http://servicecatalog-appregistry.{region}.amazonaws.com/applications/{application}/resources/{resourceType}/{resource}Disassociates a resource from application. Both the resource and the application can be specified either by ID or name.
Access Token Required: API Key
Path Parameters
applicationstringrequired
The name or ID of the application.
resourceTypestringrequired
The type of the resource that is being disassociated.
Allowed:
resourcestringrequired
The name or ID of the resource.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://servicecatalog-appregistry.{region}.amazonaws.com/applications/{application}/resources/{resourceType}/{resource}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}